# $Revision: 1.31 $, $Date: 2011/03/01 06:28:55 $
%include	/usr/lib/rpm/macros.php
%define		_class		Text
%define		_subclass	Diff
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Engine for performing and rendering text diffs
Summary(pl.UTF-8):	%{_pearname} - Silnik do przetwarzania i generowania różnic pomiędzy tekstami
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	283a929608a08a4639072d9868f9ec44
URL:		http://pear.php.net/package/Text_Diff/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Suggests:	php-pecl-xdiff
Obsoletes:	php-pear-Text_Diff-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a text-based diff engine and renderers for
multiple diff output formats.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza silnik do przetwarzania różnic między tekstami
oraz funkcje generujące różnice w wielu formatach wyjściowych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_Diff.spec,v $
Revision 1.31  2011/03/01 06:28:55  glen
- release 3

Revision 1.30  2011/01/23 00:38:09  sparky
- dropped -tests

Revision 1.29  2010/08/21 19:08:33  glen
- updated deps with pearize.sh
- release 2

Revision 1.28  2010/08/20 13:09:36  glen
- updated to: 1.1.1

Revision 1.27  2008/09/10 13:53:19  adamg
- updated to 1.1.0

Revision 1.26  2008-01-31 12:16:11  glen
- rel 2

Revision 1.25  2008-01-31 10:35:11  glen
- 0.3.2

Revision 1.24  2007-11-01 11:45:06  adamg
- updated to 0.3.1

Revision 1.23  2007/09/21 16:31:46  adamg
- updated to 0.3.0

Revision 1.22  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.20  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.18  2006/04/02 12:01:51  glen
- 0.2.1

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.15  2005/10/27 19:11:41  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.14  2005/10/05 20:59:19  glen
- rel 2

Revision 1.13  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.12  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.11  2005/08/21 17:34:38  adamg
- updated to 0.1.1

Revision 1.10  2005/05/08 16:21:08  adamg
- updated to 0.0.5

Revision 1.9  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.8  2004/12/04 14:25:21  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/17 11:21:10  adamg
- updated to 0.0.4

Revision 1.5  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.4  2004/05/13 18:28:04  adamg
- status changed to beta

Revision 1.3  2004/05/13 18:21:28  adamg
- updated to 0.0.3

Revision 1.2  2004/05/04 19:17:15  qboosh
- pl desc

Revision 1.1  2004/05/02 13:18:23  adamg
- new
